Package com.collibra.dgc.workflow.api.listener

# Class SetActivityStreamListener

java.lang.Object
com.collibra.dgc.workflow.api.listener.SetActivityStreamListener

All Implemented Interfaces:
  `Serializable`, `org.flowable.engine.delegate.BaseExecutionListener`, `org.flowable.engine.delegate.ExecutionListener`, `org.flowable.engine.delegate.TaskListener`, `org.flowable.task.service.delegate.BaseTaskListener`, `org.flowable.task.service.delegate.TaskListener`

public class SetActivityStreamListener extends Object implements org.flowable.engine.delegate.TaskListener, org.flowable.engine.delegate.ExecutionListener
A listener capable of setting the filter which will be used to generate a activity stream. This listener is both a execution listener and a task listener. The filter it generates will be put in a local variable. This means, in the case of a usertask, the variable will only exist as long as the task exists. Outside of a user task, the variable will exist for the current execution only, meaning it will not be visible in super or sub process instances. You can decide for yourself if you want it to be used as a tasklistener or execution listener on user tasks.

Here is the list of all input fields. None of them are mandatory and if no input is provided, all changes since the start of the workflow on the current resource are listed.

- user: Limits to only show activities for the user with the given user name. Needs to be a username.
- role: Filter only the changes where the user, specified in the 'user' parameter has a given role in. If no user is given, only the changes are returned performed by users having the given role.
- involvedUser: Only show activities where the given user is involved in/has a role in.
- involvedRole: Filter only the changes where the user, specified in the 'involvedUser' parameters, has a given role in.
- startTimeEmpty: This will override the default: the start time is the beginning of the current workflow, meaning all activities since the beginning of time will be shown.
- startTask: The task id of the task to take as start timestamp to show activities for.
- startOnStatusChangeFrom: Fill in the signifier of the status here if you want all activities to show since the latest status change from the given status.
- endTask: Sets the end timestamp to the given task id.
- categories: Filter on the categories to return the changes for. If empty or null, all categories are taken into account. (ATTRIBUTE, ATTACHMENT, RELATION, COMMENT, STATUS, WORKFLOW, RESPONSIBILITY, USER, USER_GROUP, ROLE, TAGS, OTHERS)

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface org.flowable.engine.delegate.BaseExecutionListener

  `EVENTNAME_END, EVENTNAME_START, EVENTNAME_TAKE`

  ### Fields inherited from interface org.flowable.task.service.delegate.BaseTaskListener

  `EVENTNAME_ALL_EVENTS, EVENTNAME_ASSIGNMENT, EVENTNAME_COMPLETE, EVENTNAME_CREATE, EVENTNAME_DELETE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetActivityStreamListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `notify(org.flowable.engine.delegate.DelegateExecution execution)`
  `void`
  `notify(org.flowable.task.service.delegate.DelegateTask delegateTask)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SetActivityStreamListener

    public SetActivityStreamListener()

- ## Method Details

  - ### notify

    public void notify(org.flowable.engine.delegate.DelegateExecution execution)
    Specified by:
      `notify` in interface `org.flowable.engine.delegate.ExecutionListener`

  - ### notify

    public void notify(org.flowable.task.service.delegate.DelegateTask delegateTask)
    Specified by:
      `notify` in interface `org.flowable.task.service.delegate.TaskListener`